Loading...
Searching...
No Matches
Dune::Functions::Concept::ContainerDescriptor Struct Reference

`#include <dune/functions/functionspacebases/concepts.hh>`

## Public Member Functions

void | require (const Dune::Functions::ContainerDescriptors::Unknown &)
template<class CD>
auto | require (const CD &cd) -> decltype(requireConvertible< std::size_t >(cd.size()), children(cd, Dune::PriorityTag< 2 >{}))

## Member Function Documentation

## require() [1/2]

template<class CD>

auto Dune::Functions::Concept::ContainerDescriptor::require | ( | const CD & | cd | ) | ->decltype(requireConvertible< std::size_t >(cd.size()), children(cd, Dune::PriorityTag< 2 >{}))

## require() [2/2]

void Dune::Functions::Concept::ContainerDescriptor::require | ( | const Dune::Functions::ContainerDescriptors::Unknown & |  | ) |

The documentation for this struct was generated from the following file:

- functionspacebases/concepts.hh